Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5255 - apache package should not include index.html
Summary: apache package should not include index.html
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: apache
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-20 17:07 UTC by carenas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-02 15:25:08 UTC


Attachments (Terms of Use)

Description carenas 1999-09-20 17:07:50 UTC
actually taking index.html out of the apache package would
make installing a new homepage easier.

if you still wan't to keep an index.html for RedHat Linux,
it should be located on the redhat-release package

Comment 1 Preston Brown 1999-09-20 17:20:59 UTC
the index.html file is marked as noreplace, so if you modify it
locally and then upgrade apache, you will not lose your changes.

Comment 2 carenas 1999-09-20 18:26:59 UTC
even marked as %config(noreplace), it would unnecesarily show warnings
on an rpm check, if it is changed.

IMHO, index.html and powered.cgi are more relate to redhat-release
than to apache

taking manual out of apache for 5256, would need an scripted
modification of index.html to for not showing the missing link.

making a default index.html with a manual link seems to static for me,
there should be a better way to put a default "it worked" homepage


Note You need to log in before you can comment on or make changes to this bug.